#
# spec file for package apphub
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname com.francescogaglione.apphub
Name:           apphub
Version:        1.0.0~alpha.2+26
Release:        1.2
Summary:        Apphub simplifies managing appimages
License:        MIT
URL:            https://github.com/cosmic-utils/app-hub
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  pkgconfig(xkbcommon)

%description
%{summary}.

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/app_hub_backend
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.png

%changelog
* Fri Dec  6 2024 rrahl0@opensuse.org
- Update to version 1.0.0~alpha.2+26:
  * Cargo.lock and install app_hub_backend
  * fixes
  * temp
  * layout fixes
* Mon Oct 14 2024 Richard Rahl <rrahl0@opensuse.org>
- fix installation of appimage files (need to compile backend)
* Sat Oct 12 2024 Richard Rahl <rrahl0@opensuse.org>
- initial packaging
